LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::text::MailMergeType Constant Group Referencepublished

Defines the possible output types/devices for mail merge. More...

## Variables
const short | PRINTER = 1
| The output device is a printer. More...
const short | FILE = 2
| The output device is a file. More...
const short | MAIL = 3
| The output is sent as e-Mail. More...
const short | SHELL = 4
| The output is a document shell. More...

## Detailed Description

Defines the possible output types/devices for mail merge.

Since
  OOo 1.1.2

## Variable Documentation

## ◆ FILE

const short FILE = 2

The output device is a file.

## ◆ MAIL

const short MAIL = 3

The output is sent as e-Mail.

## ◆ PRINTER

const short PRINTER = 1

The output device is a printer.

## ◆ SHELL

const short SHELL = 4

The output is a document shell.

The successful mail merge returns a XTextDocument based component.

Since
  LibreOffice 4.4